Class: Google::Apis::CloudassetV1::GoogleIdentityAccesscontextmanagerV1OsConstraint

Inherits:
Object
  • Object
show all
Includes:
Google::Apis::Core::Hashable, Google::Apis::Core::JsonObjectSupport
Defined in:
generated/google/apis/cloudasset_v1/classes.rb,
generated/google/apis/cloudasset_v1/representations.rb,
generated/google/apis/cloudasset_v1/representations.rb

Overview

A restriction on the OS type and version of devices making requests.

Instance Attribute Summary collapse

Instance Method Summary collapse

Methods included from Google::Apis::Core::JsonObjectSupport

#to_json

Methods included from Google::Apis::Core::Hashable

process_value, #to_h

Constructor Details

#initialize(**args) ⇒ GoogleIdentityAccesscontextmanagerV1OsConstraint

Returns a new instance of GoogleIdentityAccesscontextmanagerV1OsConstraint.


1265
1266
1267
# File 'generated/google/apis/cloudasset_v1/classes.rb', line 1265

def initialize(**args)
   update!(**args)
end

Instance Attribute Details

#minimum_versionString

The minimum allowed OS version. If not set, any version of this OS satisfies the constraint. Format: "major.minor.patch". Examples: "10.5.301", "9.2.1" . Corresponds to the JSON property minimumVersion

Returns:

  • (String)

1249
1250
1251
# File 'generated/google/apis/cloudasset_v1/classes.rb', line 1249

def minimum_version
  @minimum_version
end

#os_typeString

Required. The allowed OS type. Corresponds to the JSON property osType

Returns:

  • (String)

1254
1255
1256
# File 'generated/google/apis/cloudasset_v1/classes.rb', line 1254

def os_type
  @os_type
end

#require_verified_chrome_osBoolean Also known as: require_verified_chrome_os?

Only allows requests from devices with a verified Chrome OS. Verifications includes requirements that the device is enterprise-managed, conformant to domain policies, and the caller has permission to call the API targeted by the request. Corresponds to the JSON property requireVerifiedChromeOs

Returns:

  • (Boolean)

1262
1263
1264
# File 'generated/google/apis/cloudasset_v1/classes.rb', line 1262

def require_verified_chrome_os
  @require_verified_chrome_os
end

Instance Method Details

#update!(**args) ⇒ Object

Update properties of this object


1270
1271
1272
1273
1274
# File 'generated/google/apis/cloudasset_v1/classes.rb', line 1270

def update!(**args)
  @minimum_version = args[:minimum_version] if args.key?(:minimum_version)
  @os_type = args[:os_type] if args.key?(:os_type)
  @require_verified_chrome_os = args[:require_verified_chrome_os] if args.key?(:require_verified_chrome_os)
end